#include <iostream>

using namespace std;

int f(int x[],int k,int koliko){
   int zarada=0;
    if(k==0){
        for(int i=0;i<koliko;i++){
            zarada=zarada+x[i];
        }
    }else{
		k=k-1;
		for(int i =0 ; i < koliko; i++){

            for (int j = i; j < koliko; j++){
            	int pom[j];
            	int st=0;
                for (int l = i; l <= j; l++){
                	
                	pom[st]=x[l];
                	st++;
            	}
            	zarada=zarada+f(pom,k,st);
            	
            }

        }
    }
	return zarada;

}
int main(int argc, char** argv) {
	int n;
	int k;
	cin>>n>>k;
	int niz[n];
	for(int i=0;i<n;i++){
		cin>>niz[i];
	}
	cout<<f(niz,k,n);
	return 0;
}